Error subclass: #OperaError
	instanceVariableNames: 'originalError minorCode description '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!

!OperaError methodsFor: 'accessing'!
description
	description isNil ifTrue: [description := super description].
	^description! !

!OperaError methodsFor: 'accessing'!
description: aValue

	description := aValue! !

!OperaError methodsFor: 'accessing'!
minorCode

	^minorCode! !

!OperaError methodsFor: 'accessing'!
minorCode: aValue

	minorCode := aValue! !

!OperaError methodsFor: 'accessing'!
originalError

	^originalError! !

!OperaError methodsFor: 'accessing'!
originalError: aValue

	originalError := aValue! !


!OperaError methodsFor: 'exceptionDescription'!
isResumable
	
	^true! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OperaError class
	instanceVariableNames: ''!

!OperaError class methodsFor: 'defaults' stamp: 'MU 2/22/2002 01:11'!
badParameter
	^OperaBadParameter! !

!OperaError class methodsFor: 'defaults' stamp: 'MU 2/22/2002 01:11'!
cannotConnect
	^OperaCannotConnect! !

!OperaError class methodsFor: 'defaults' stamp: 'MU 2/22/2002 01:12'!
implReleased
	^OperaImplReleased! !

!OperaError class methodsFor: 'defaults' stamp: 'MU 2/22/2002 01:12'!
noImplement
	^OperaNoImplement! !

!OperaError class methodsFor: 'defaults' stamp: 'MU 2/22/2002 01:13'!
responceTimeout
	^OperaResponseTimeout! !


!OperaError class methodsFor: 'instance creation'!
fromSoapError: aSoapError
	| inst |
	"##needs more work##"
	inst := self new.
	inst originalError: aSoapError.
	inst description: (aSoapError description copyReplaceAll: 'SoapError:' with: 'OperaError:').
	inst messageText: aSoapError messageText.
	inst minorCode: #Unknown.
	^inst! !


OperaError subclass: #OperaBadParameter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!


OperaError subclass: #OperaCannotConnect
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!


Error subclass: #OperaImplError
	instanceVariableNames: 'type '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!

!OperaImplError methodsFor: 'accessing' stamp: 'MU 2/22/2002 00:53'!
type
	^type! !

!OperaImplError methodsFor: 'accessing' stamp: 'MU 2/22/2002 00:54'!
type: aSymbol
	type := aSymbol! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OperaImplError class
	instanceVariableNames: ''!

!OperaImplError class methodsFor: 'instance creation' stamp: 'MU 2/22/2002 00:55'!
signal: errorMessage type: errorType 
	^ self new type: errorType;
		 signal: errorMessage! !


OperaError subclass: #OperaImplReleased
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!


OperaError subclass: #OperaNoImplement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!


OperaError subclass: #OperaResponseTimeout
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Opera-Error'!
