"Description: 
An install script for SIXX 0.1f
Edit settings and file-in.

Copyright (C) 2002-2003 Masashi Umezawa, Tetsuya Kurihara, Kazuki Minamitani

How to: 
1: Create a new directory named: 'installSIXX0.1f' under your Squeak home direcotry.
2: Copy all needed files to the directory. ([YAXO] or [VWXML])
3: From the file list, just file in this file.
"!

"XML setting - YAXO installation is default, edit as you like"
xmlParser := #YAXO. "#YAXO, #VWXML, #NONE"

"Pass setting - edit if you like (normally you don't have to)"
dir := 'installSIXX0.1f'.
fullPath := FileDirectory default fullNameFor: dir.
rootPath := (FileDirectory default fullNameFor: dir), FileDirectory slash.

"XML parser install"

xmlParserCore := #().

(xmlParser == #YAXO) ifTrue:[
xmlParserCorePath := rootPath, 'YAXO'.
xmlParserCore := #(
'YAXO.cs'
).
].

(xmlParser == #VWXML) ifTrue:[
xmlParserCorePath := rootPath, 'VWXMLforSqueak3.x', FileDirectory slash, 'Repackaged VWXML'.
xmlParserCore := #(
'VWXML.1.cs'
'VWXMLTweaks.1.cs'
).
].

xmlParserCore do:[:each | ((FileDirectory on: xmlParserCorePath) readOnlyFileNamed: each) fileIntoNewChangeSet.].

"SIXX install"
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-Squeak.st') fileIn.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-Core.st') fileIn.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-InOut.cs') fileIntoNewChangeSet.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-InOut-Squeak.cs') fileIntoNewChangeSet.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-ParserAdapter.st') fileIn.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-Examples.st') fileIn.
((FileDirectory on: fullPath) readOnlyFileNamed: 'SIXX-Test.st') fileIn.

"Inform and trim the chengeSet"
Smalltalk inform: 'SIXX was successfully installated'.
Smalltalk changes name: 'SIXX 0.1f (20030325)'.