Object subclass: #SoapAction
	instanceVariableNames: 'intent '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SOAP-Http'!
!SoapAction commentStamp: 'MU 10/5/2002 01:30' prior: 0!
'SOAPAction: '. in http header.
I would be obsolete in SOAP 1.2.

MU 10/5/2002 01:29!


!SoapAction methodsFor: 'accessing' stamp: 'mu 9/1/2001 19:59'!
intent

	^intent! !

!SoapAction methodsFor: 'accessing' stamp: 'mu 9/1/2001 19:59'!
intent: aValue

	intent := aValue! !


!SoapAction methodsFor: 'constants' stamp: 'mu 10/9/2003 19:58'!
headerString
	^'SOAPAction'! !


!SoapAction methodsFor: 'printing' stamp: 'mu 10/9/2003 20:48'!
printOn: aStream
	aStream nextPutAll: self headerString, ': '.
	aStream nextPutAll: self intentString.
	aStream cr.
	aStream nextPut: Character lf.! !


!SoapAction methodsFor: 'actions' stamp: 'mu 10/9/2003 20:48'!
intentString
	| headerStream |
	self intent
		ifNil: [^ ''].
	headerStream := WriteStream on: ''.
	headerStream nextPut: $".
	headerStream nextPutAll: self intent.
	headerStream nextPut: $".
	^ headerStream contents! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

SoapAction class
	instanceVariableNames: ''!

!SoapAction class methodsFor: 'instance creation' stamp: 'mu 9/1/2001 20:03'!
intent: aString
	^self new intent: aString! !

!SoapAction class methodsFor: 'instance creation' stamp: 'mu 9/1/2001 20:05'!
intentByRequestURI
	^self intent: ''! !

!SoapAction class methodsFor: 'instance creation' stamp: 'mu 9/1/2001 20:04'!
noIntent
	^self intent: nil! !
