"Description: 
An install script for SIXX
Edit settings and file-in.

Copyright (C) 2002-2003 Masashi Umezawa

Prerequisites:
YAXO or VWXML

How to install: 
1: Create a new directory named: 'installSoapOpera0.6' under your Squeak home direcotry.
2: Copy all needed files to the directory. (installSIXX.st, [SIXX])
3: From the file list, just file in this file.

"!

"settings -  edit if you like"
dir := 'installSoapOpera0.6'.
sixxInstall := true.

"install main - edit if you like (normally you don't have to)"
rootPath := (FileDirectory default fullNameFor: dir), FileDirectory slash.
sixxPath := rootPath, 'SIXX'.

sixx := #(
'SIXX-Squeak.st'
'SIXX-Core.st'
'SIXX-InOut.cs'
'SIXX-InOut-Squeak.cs'
'SIXX-ParserAdapter.st'
'SIXX-Examples.st'
'SIXX-Test.st'
).

sixxInstall ifTrue:[
sixx do:[:each | ((FileDirectory on: sixxPath) readOnlyFileNamed: each) fileIn.].
].
!

"program initialization"
Transcript cr; show: 'SIXX installation succeeded'.
! 

"end of script"!
